package com.clx.performance.service.settle;

import com.clx.performance.model.settle.SettlementOwnerDetail;

import java.math.BigDecimal;

public interface SettlementCommonService {
    BigDecimal invoiceServiceFeeCalc(Integer settlementWay, SettlementOwnerDetail settlementOwnerDetail);

    BigDecimal invoiceFreightCalc(Integer settlementWay, BigDecimal invoiceServiceFeeRate, SettlementOwnerDetail settlementOwnerDetail);

    BigDecimal settlementFreightCalc(Integer settlementWay, SettlementOwnerDetail settlementOwnerDetail);
}
